#!/bin/sh
#
## Flush rules & reset counters
iptables -F
iptables -Z
iptables -X
iptables -t nat -F
iptables -t nat -Z
iptables -t nat -X
#
## Set policies
iptables -P INPUT DROP
iptables -P FORWARD ACCEPT
iptables -P OUTPUT DROP
#
## Pass all locally-originating packets
iptables -A INPUT -i lo -j ACCEPT
iptables -A OUTPUT -o lo -j ACCEPT
#
## Allow transparence proxy
#iptables -t nat -A PREROUTING -p tcp --dport 80 -j REDIRECT --to-port 3128
#
## Accept ICMP ping echo requests
## (this allows other people to ping your machine, among other things),
iptables -A INPUT -p icmp --icmp-type echo-request -j ACCEPT
#iptables -t nat -A POSTROUTING -s 192.168.130.0/24  -j MASQUERADE

iptables -A FORWARD  -d 58.251.100.0/24 -j REJECT
iptables -A FORWARD  -d 163.177.81.0/24 -j REJECT
iptables -A FORWARD  -d 58.251.111.0/24 -j REJECT
iptables -A FORWARD  -d 58.251.117.0/24 -j REJECT
iptables -A FORWARD  -d 109.244.169.0/24 -j REJECT
iptables -A FORWARD  -d 113.96.232.0/24 -j REJECT
iptables -A FORWARD  -d 113.96.233.0/24 -j REJECT
iptables -A FORWARD  -d 113.96.202.0/24 -j REJECT
iptables -A FORWARD  -d 113.96.209.0/24 -j REJECT
iptables -A FORWARD  -d 113.105.166.0/24 -j REJECT
iptables -A FORWARD  -d 14.18.175.0/24 -j REJECT
iptables -A FORWARD  -d 123.150.208.0/24 -j REJECT
iptables -A FORWARD  -d 59.36.121.0/24 -j REJECT
iptables -A FORWARD  -d 61.151.165.0/24 -j REJECT
iptables -A FORWARD  -d 123.150.208.0/24 -j REJECT
iptables -A FORWARD  -d 101.91.19.0/24 -j REJECT
iptables -A FORWARD  -d 59.36.89.0/24 -j REJECT
iptables -A FORWARD  -d 183.3.234.0/24 -j REJECT
iptables -A FORWARD  -d 14.215.158.0/24 -j REJECT
iptables -A FORWARD  -d 123.151.190.0/24 -j REJECT
iptables -A FORWARD  -d 113.96.237.0/24 -j REJECT
iptables -A FORWARD  -d 157.255.174.0/24 -j REJECT
iptables -A FORWARD  -d 58.251.80.0/24 -j REJECT
iptables -A FORWARD  -d 163.177.81.0/24 -j REJECT
iptables -A FORWARD  -d 183.3.224.0/24 -j REJECT
iptables -A FORWARD  -d 101.89.15.0/24 -j REJECT
iptables -A FORWARD  -d 111.62.249.0/24 -j REJECT
iptables -A FORWARD  -d 223.111.24.0/24 -j REJECT
iptables -A FORWARD  -d 111.30.144.0/24 -j REJECT
iptables -A FORWARD  -d 121.51.158.0/24 -j REJECT
iptables -A FORWARD  -d 111.30.171.0/24 -j REJECT
iptables -A FORWARD  -d 104.31.65.0/24 -j REJECT
iptables -A FORWARD  -d 112.60.14.0/24 -j REJECT
iptables -A FORWARD  -d 101.91.19.0/24 -j REJECT
iptables -A FORWARD  -d 113.96.13.0/24 -j REJECT
iptables -A FORWARD  -d 14.22.3.0/24 -j REJECT
iptables -A FORWARD  -d 183.3.224.0/24 -j REJECT
iptables -A FORWARD  -d 183.60.155.0/24 -j REJECT
iptables -A FORWARD  -d 59.36.119.0/24 -j REJECT
iptables -A FORWARD  -d 14.116.136.0/24 -j REJECT
iptables -A FORWARD  -d 180.97.117.0/24 -j REJECT
iptables -A FORWARD  -d 124.225.105.0/24 -j REJECT
iptables -A FORWARD  -d 14.215.85.0/24 -j REJECT
iptables -A FORWARD  -d 183.2.192.0/24 -j REJECT
iptables -A FORWARD  -d 42.202.154.0/24 -j REJECT
iptables -A FORWARD  -d 114.221.144.0/24 -j REJECT
iptables -A FORWARD  -d 113.96.208.0/24 -j REJECT
iptables -A FORWARD  -d 42.202.154.0/24 -j REJECT
iptables -A FORWARD  -d 14.22.33.0/24 -j REJECT
iptables -A FORWARD  -d 180.97.117.0/24 -j REJECT
iptables -A FORWARD  -d 119.147.83.0/24 -j REJECT
iptables -A FORWARD  -d 101.91.63.0/24 -j REJECT
iptables -A FORWARD  -d 58.60.9.0/24 -j REJECT
iptables -A FORWARD  -d 113.96.12.0/24 -j REJECT
iptables -A FORWARD  -d 14.215.85.0/24 -j REJECT
iptables -A FORWARD  -d 113.96.156.0/24 -j REJECT
iptables -A FORWARD  -d 59.63.237.0/24 -j REJECT
iptables -A FORWARD  -d 14.18.180.0/24 -j REJECT
iptables -A FORWARD  -d 14.18.160.0/24 -j REJECT
iptables -A FORWARD  -d 14.17.27.0/24 -j REJECT
iptables -A FORWARD  -d 183.3.225.0/24 -j REJECT
iptables -A FORWARD  -d 61.151.207.0/24 -j REJECT
iptables -A FORWARD  -d 183.3.225.0/24 -j REJECT
iptables -A FORWARD  -d 113.96.237.0/24 -j REJECT
iptables -A FORWARD  -d 183.3.226.0/24 -j REJECT
iptables -A FORWARD  -d 113.105.154.0/24 -j REJECT
iptables -A FORWARD  -d 124.225.105.0/24 -j REJECT
iptables -A FORWARD  -d 183.3.235.0/24 -j REJECT
iptables -A FORWARD  -d 221.228.67.0/24 -j REJECT
iptables -A FORWARD  -d 123.161.61.0/24 -j REJECT
iptables -A FORWARD  -d 221.228.67.0/24 -j REJECT
iptables -A FORWARD  -d 109.244.128.0/24 -j REJECT
iptables -A FORWARD  -d 183.3.226.0/24 -j REJECT
iptables -A FORWARD  -d 61.142.166.0/24 -j REJECT
iptables -A FORWARD  -d 113.96.83.0/24 -j REJECT
iptables -A FORWARD  -d 124.232.162.0/24 -j REJECT
iptables -A FORWARD  -d 125.94.49.0/24 -j REJECT
iptables -A FORWARD  -d 219.135.59.0/24 -j REJECT
iptables -A FORWARD  -d 59.37.97.0/24 -j REJECT
iptables -A FORWARD  -d 183.36.108.0/24 -j REJECT
iptables -A FORWARD  -d 183.3.233.0/24 -j REJECT
iptables -A FORWARD  -d 101.89.38.0/24 -j REJECT
iptables -A FORWARD  -d 59.36.120.0/24 -j REJECT
iptables -A FORWARD  -d 58.60.15.0/24 -j REJECT
iptables -A FORWARD  -d 58.61.32.0/24 -j REJECT
iptables -A FORWARD  -d 58.61.33.0/24 -j REJECT
iptables -A FORWARD  -d 58.61.34.0/24 -j REJECT
iptables -A FORWARD  -d 58.61.165.0/24 -j REJECT
iptables -A FORWARD  -d 58.251.58.0/24 -j REJECT
iptables -A FORWARD  -d 58.251.60.0/24 -j REJECT
iptables -A FORWARD  -d 58.251.61.0/24 -j REJECT
iptables -A FORWARD  -d 58.251.63.0/24 -j REJECT
iptables -A FORWARD  -d 119.147.9.0/24 -j REJECT
iptables -A FORWARD  -d 119.147.11.0/24 -j REJECT
iptables -A FORWARD  -d 119.147.12.0/24 -j REJECT
iptables -A FORWARD  -d 119.147.13.0/24 -j REJECT
iptables -A FORWARD  -d 182.254.11.0/24 -j REJECT
iptables -A FORWARD  -d 140.207.54.0/24 -j REJECT
iptables -A FORWARD  -d 101.226.103.0/24 -j REJECT
iptables -A FORWARD  -d 101.226.62.0/24 -j REJECT
iptables -A FORWARD  -d 14.22.33.0/24 -j REJECT
iptables -A FORWARD  -d 49.4.19.0/24 -j REJECT
iptables -A FORWARD  -d 113.105.166.0/24 -j REJECT
iptables -A FORWARD  -d 123.151.176.0/24 -j REJECT
iptables -A FORWARD  -d 59.36.121.0/24 -j REJECT
iptables -A FORWARD  -d 121.14.76.0/24 -j REJECT
iptables -A FORWARD  -d 1.109.156.68 -j REJECT
iptables -A FORWARD  -d 101.132.94.202 -j REJECT
iptables -A FORWARD  -d 101.226.129.145 -j REJECT
iptables -A FORWARD  -d 101.89.15.105 -j REJECT
iptables -A FORWARD  -d 101.89.15.190 -j REJECT
iptables -A FORWARD  -d 101.89.38.155 -j REJECT
iptables -A FORWARD  -d 101.89.39.120 -j REJECT
iptables -A FORWARD  -d 101.89.39.55 -j REJECT
iptables -A FORWARD  -d 101.91.17.15 -j REJECT
iptables -A FORWARD  -d 101.91.24.45 -j REJECT
iptables -A FORWARD  -d 103.230.236.10 -j REJECT
iptables -A FORWARD  -d 103.230.236.19 -j REJECT
iptables -A FORWARD  -d 103.230.236.21 -j REJECT
iptables -A FORWARD  -d 103.230.236.26 -j REJECT
iptables -A FORWARD  -d 103.230.236.27 -j REJECT
iptables -A FORWARD  -d 103.230.236.28 -j REJECT
iptables -A FORWARD  -d 103.230.236.30 -j REJECT
iptables -A FORWARD  -d 103.230.236.34 -j REJECT
iptables -A FORWARD  -d 103.230.236.35 -j REJECT
iptables -A FORWARD  -d 103.230.236.37 -j REJECT
iptables -A FORWARD  -d 103.230.236.42 -j REJECT
iptables -A FORWARD  -d 103.230.236.44 -j REJECT
iptables -A FORWARD  -d 103.230.236.46 -j REJECT
iptables -A FORWARD  -d 103.230.236.52 -j REJECT
iptables -A FORWARD  -d 103.230.236.56 -j REJECT
iptables -A FORWARD  -d 103.230.236.57 -j REJECT
iptables -A FORWARD  -d 106.15.196.123 -j REJECT
iptables -A FORWARD  -d 106.225.230.166 -j REJECT
iptables -A FORWARD  -d 106.225.231.11 -j REJECT
iptables -A FORWARD  -d 106.225.231.39 -j REJECT
iptables -A FORWARD  -d 109.244.128.37 -j REJECT
iptables -A FORWARD  -d 109.244.154.161 -j REJECT
iptables -A FORWARD  -d 109.244.169.236 -j REJECT
iptables -A FORWARD  -d 109.244.169.50 -j REJECT
iptables -A FORWARD  -d 109.244.169.60 -j REJECT
iptables -A FORWARD  -d 109.244.170.37 -j REJECT
iptables -A FORWARD  -d 110.81.153.174 -j REJECT
iptables -A FORWARD  -d 110.81.153.179 -j REJECT
iptables -A FORWARD  -d 111.30.179.153 -j REJECT
iptables -A FORWARD  -d 112.53.36.18 -j REJECT
iptables -A FORWARD  -d 113.105.141.222 -j REJECT
iptables -A FORWARD  -d 113.105.154.47 -j REJECT
iptables -A FORWARD  -d 113.105.154.48 -j REJECT
iptables -A FORWARD  -d 113.105.165.116 -j REJECT
iptables -A FORWARD  -d 113.113.67.48 -j REJECT
iptables -A FORWARD  -d 113.96.13.125 -j REJECT
iptables -A FORWARD  -d 113.96.13.44 -j REJECT
iptables -A FORWARD  -d 113.96.154.93 -j REJECT
iptables -A FORWARD  -d 113.96.156.139 -j REJECT
iptables -A FORWARD  -d 113.96.156.172 -j REJECT
iptables -A FORWARD  -d 113.96.156.213 -j REJECT
iptables -A FORWARD  -d 113.96.156.217 -j REJECT
iptables -A FORWARD  -d 113.96.156.243 -j REJECT
iptables -A FORWARD  -d 113.96.202.100 -j REJECT
iptables -A FORWARD  -d 113.96.202.101 -j REJECT
iptables -A FORWARD  -d 113.96.202.105 -j REJECT
iptables -A FORWARD  -d 113.96.202.106 -j REJECT
iptables -A FORWARD  -d 113.96.208.118 -j REJECT
iptables -A FORWARD  -d 113.96.208.21 -j REJECT
iptables -A FORWARD  -d 113.96.208.217 -j REJECT
iptables -A FORWARD  -d 113.96.208.29 -j REJECT
iptables -A FORWARD  -d 113.96.208.74 -j REJECT
iptables -A FORWARD  -d 113.96.209.100 -j REJECT
iptables -A FORWARD  -d 113.96.209.101 -j REJECT
iptables -A FORWARD  -d 113.96.209.105 -j REJECT
iptables -A FORWARD  -d 113.96.209.106 -j REJECT
iptables -A FORWARD  -d 113.96.231.214 -j REJECT
iptables -A FORWARD  -d 113.96.232.142 -j REJECT
iptables -A FORWARD  -d 113.96.232.162 -j REJECT
iptables -A FORWARD  -d 113.96.232.163 -j REJECT
iptables -A FORWARD  -d 113.96.232.231 -j REJECT
iptables -A FORWARD  -d 113.96.232.240 -j REJECT
iptables -A FORWARD  -d 113.96.232.39 -j REJECT
iptables -A FORWARD  -d 113.96.232.48 -j REJECT
iptables -A FORWARD  -d 113.96.232.76 -j REJECT
iptables -A FORWARD  -d 113.96.233.174 -j REJECT
iptables -A FORWARD  -d 113.96.233.186 -j REJECT
iptables -A FORWARD  -d 113.96.237.173 -j REJECT
iptables -A FORWARD  -d 113.96.237.213 -j REJECT
iptables -A FORWARD  -d 113.96.237.75 -j REJECT
iptables -A FORWARD  -d 113.96.83.91 -j REJECT
iptables -A FORWARD  -d 113.96.98.73 -j REJECT
iptables -A FORWARD  -d 114.221.151.172 -j REJECT
iptables -A FORWARD  -d 114.222.114.27 -j REJECT
iptables -A FORWARD  -d 117.34.50.37 -j REJECT
iptables -A FORWARD  -d 119.147.227.85 -j REJECT
iptables -A FORWARD  -d 119.147.83.122 -j REJECT
iptables -A FORWARD  -d 119.147.83.124 -j REJECT
iptables -A FORWARD  -d 119.147.83.84 -j REJECT
iptables -A FORWARD  -d 119.29.125.186 -j REJECT
iptables -A FORWARD  -d 120.232.22.118 -j REJECT
iptables -A FORWARD  -d 120.241.21.110 -j REJECT
iptables -A FORWARD  -d 120.241.21.113 -j REJECT
iptables -A FORWARD  -d 121.14.142.134 -j REJECT
iptables -A FORWARD  -d 121.14.142.197 -j REJECT
iptables -A FORWARD  -d 121.14.51.197 -j REJECT
iptables -A FORWARD  -d 121.14.76.247 -j REJECT
iptables -A FORWARD  -d 121.14.76.43 -j REJECT
iptables -A FORWARD  -d 121.36.239.130 -j REJECT
iptables -A FORWARD  -d 121.36.239.135 -j REJECT
iptables -A FORWARD  -d 121.36.239.140 -j REJECT
iptables -A FORWARD  -d 121.46.20.45 -j REJECT
iptables -A FORWARD  -d 121.46.20.56 -j REJECT
iptables -A FORWARD  -d 121.46.20.57 -j REJECT
iptables -A FORWARD  -d 121.46.20.59 -j REJECT
iptables -A FORWARD  -d 121.46.20.60 -j REJECT
iptables -A FORWARD  -d 121.46.25.194 -j REJECT
iptables -A FORWARD  -d 121.46.25.195 -j REJECT
iptables -A FORWARD  -d 121.46.25.196 -j REJECT
iptables -A FORWARD  -d 121.46.25.198 -j REJECT
iptables -A FORWARD  -d 121.46.25.199 -j REJECT
iptables -A FORWARD  -d 121.46.25.200 -j REJECT
iptables -A FORWARD  -d 121.46.25.203 -j REJECT
iptables -A FORWARD  -d 121.46.30.53 -j REJECT
iptables -A FORWARD  -d 121.46.30.58 -j REJECT
iptables -A FORWARD  -d 121.46.30.60 -j REJECT
iptables -A FORWARD  -d 122.228.238.112 -j REJECT
iptables -A FORWARD  -d 122.228.66.242 -j REJECT
iptables -A FORWARD  -d 123.150.208.86 -j REJECT
iptables -A FORWARD  -d 123.151.190.252 -j REJECT
iptables -A FORWARD  -d 123.151.79.75 -j REJECT
iptables -A FORWARD  -d 123.56.142.148 -j REJECT
iptables -A FORWARD  -d 124.225.105.95 -j REJECT
iptables -A FORWARD  -d 124.232.144.181 -j REJECT
iptables -A FORWARD  -d 124.237.176.160 -j REJECT
iptables -A FORWARD  -d 124.237.176.161 -j REJECT
iptables -A FORWARD  -d 125.89.166.151 -j REJECT
iptables -A FORWARD  -d 125.89.166.215 -j REJECT
iptables -A FORWARD  -d 125.94.60.148 -j REJECT
iptables -A FORWARD  -d 125.94.60.178 -j REJECT
iptables -A FORWARD  -d 139.224.28.227 -j REJECT
iptables -A FORWARD  -d 14.17.27.47 -j REJECT
iptables -A FORWARD  -d 14.17.73.46 -j REJECT
iptables -A FORWARD  -d 14.18.1.116 -j REJECT
iptables -A FORWARD  -d 14.18.1.139 -j REJECT
iptables -A FORWARD  -d 14.18.1.154 -j REJECT
iptables -A FORWARD  -d 14.18.175.106 -j REJECT
iptables -A FORWARD  -d 14.18.175.108 -j REJECT
iptables -A FORWARD  -d 14.215.138.114 -j REJECT
iptables -A FORWARD  -d 14.215.140.62 -j REJECT
iptables -A FORWARD  -d 14.215.140.64 -j REJECT
iptables -A FORWARD  -d 14.215.158.100 -j REJECT
iptables -A FORWARD  -d 14.215.158.101 -j REJECT
iptables -A FORWARD  -d 14.215.158.102 -j REJECT
iptables -A FORWARD  -d 14.215.158.119 -j REJECT
iptables -A FORWARD  -d 14.215.158.31 -j REJECT
iptables -A FORWARD  -d 14.215.166.243 -j REJECT
iptables -A FORWARD  -d 14.215.177.38 -j REJECT
iptables -A FORWARD  -d 14.215.85.123 -j REJECT
iptables -A FORWARD  -d 14.215.85.69 -j REJECT
iptables -A FORWARD  -d 14.215.85.70 -j REJECT
iptables -A FORWARD  -d 14.22.33.35 -j REJECT
iptables -A FORWARD  -d 14.22.33.51 -j REJECT
iptables -A FORWARD  -d 14.22.6.200 -j REJECT
iptables -A FORWARD  -d 14.22.6.238 -j REJECT
iptables -A FORWARD  -d 14.22.7.151 -j REJECT
iptables -A FORWARD  -d 14.22.7.199 -j REJECT
iptables -A FORWARD  -d 14.22.7.228 -j REJECT
iptables -A FORWARD  -d 14.29.100.11 -j REJECT
iptables -A FORWARD  -d 14.29.100.161 -j REJECT
iptables -A FORWARD  -d 14.29.100.208 -j REJECT
iptables -A FORWARD  -d 153.3.149.61 -j REJECT
iptables -A FORWARD  -d 157.240.8.41 -j REJECT
iptables -A FORWARD  -d 163.177.30.151 -j REJECT
iptables -A FORWARD  -d 175.25.50.13 -j REJECT
iptables -A FORWARD  -d 175.6.92.76 -j REJECT
iptables -A FORWARD  -d 183.131.60.15 -j REJECT
iptables -A FORWARD  -d 183.2.196.141 -j REJECT
iptables -A FORWARD  -d 183.2.196.142 -j REJECT
iptables -A FORWARD  -d 183.2.196.143 -j REJECT
iptables -A FORWARD  -d 183.2.196.152 -j REJECT
iptables -A FORWARD  -d 183.2.196.154 -j REJECT
iptables -A FORWARD  -d 183.2.196.155 -j REJECT
iptables -A FORWARD  -d 183.2.196.159 -j REJECT
iptables -A FORWARD  -d 183.2.196.160 -j REJECT
iptables -A FORWARD  -d 183.2.196.163 -j REJECT
iptables -A FORWARD  -d 183.2.196.164 -j REJECT
iptables -A FORWARD  -d 183.2.196.169 -j REJECT
iptables -A FORWARD  -d 183.2.196.171 -j REJECT
iptables -A FORWARD  -d 183.232.25.1 -j REJECT
iptables -A FORWARD  -d 183.232.25.131 -j REJECT
iptables -A FORWARD  -d 183.232.25.133 -j REJECT
iptables -A FORWARD  -d 183.232.25.134 -j REJECT
iptables -A FORWARD  -d 183.232.25.135 -j REJECT
iptables -A FORWARD  -d 183.232.25.136 -j REJECT
iptables -A FORWARD  -d 183.232.25.139 -j REJECT
iptables -A FORWARD  -d 183.232.25.140 -j REJECT
iptables -A FORWARD  -d 183.232.25.141 -j REJECT
iptables -A FORWARD  -d 183.232.25.142 -j REJECT
iptables -A FORWARD  -d 183.232.25.143 -j REJECT
iptables -A FORWARD  -d 183.232.25.144 -j REJECT
iptables -A FORWARD  -d 183.232.25.145 -j REJECT
iptables -A FORWARD  -d 183.232.25.146 -j REJECT
iptables -A FORWARD  -d 183.232.25.147 -j REJECT
iptables -A FORWARD  -d 183.232.25.148 -j REJECT
iptables -A FORWARD  -d 183.232.25.149 -j REJECT
iptables -A FORWARD  -d 183.232.25.150 -j REJECT
iptables -A FORWARD  -d 183.232.25.152 -j REJECT
iptables -A FORWARD  -d 183.232.25.153 -j REJECT
iptables -A FORWARD  -d 183.232.25.154 -j REJECT
iptables -A FORWARD  -d 183.232.25.155 -j REJECT
iptables -A FORWARD  -d 183.232.25.156 -j REJECT
iptables -A FORWARD  -d 183.232.25.157 -j REJECT
iptables -A FORWARD  -d 183.232.25.158 -j REJECT
iptables -A FORWARD  -d 183.232.25.176 -j REJECT
iptables -A FORWARD  -d 183.232.25.179 -j REJECT
iptables -A FORWARD  -d 183.232.25.181 -j REJECT
iptables -A FORWARD  -d 183.232.25.182 -j REJECT
iptables -A FORWARD  -d 183.232.25.183 -j REJECT
iptables -A FORWARD  -d 183.232.25.184 -j REJECT
iptables -A FORWARD  -d 183.232.25.185 -j REJECT
iptables -A FORWARD  -d 183.232.25.186 -j REJECT
iptables -A FORWARD  -d 183.232.58.197 -j REJECT
iptables -A FORWARD  -d 183.232.58.198 -j REJECT
iptables -A FORWARD  -d 183.232.58.199 -j REJECT
iptables -A FORWARD  -d 183.232.58.200 -j REJECT
iptables -A FORWARD  -d 183.232.58.201 -j REJECT
iptables -A FORWARD  -d 183.232.58.202 -j REJECT
iptables -A FORWARD  -d 183.232.58.203 -j REJECT
iptables -A FORWARD  -d 183.232.58.205 -j REJECT
iptables -A FORWARD  -d 183.232.58.207 -j REJECT
iptables -A FORWARD  -d 183.232.58.209 -j REJECT
iptables -A FORWARD  -d 183.232.58.210 -j REJECT
iptables -A FORWARD  -d 183.232.58.212 -j REJECT
iptables -A FORWARD  -d 183.232.58.214 -j REJECT
iptables -A FORWARD  -d 183.232.58.215 -j REJECT
iptables -A FORWARD  -d 183.232.58.216 -j REJECT
iptables -A FORWARD  -d 183.232.58.217 -j REJECT
iptables -A FORWARD  -d 183.232.58.218 -j REJECT
iptables -A FORWARD  -d 183.232.58.219 -j REJECT
iptables -A FORWARD  -d 183.232.58.220 -j REJECT
iptables -A FORWARD  -d 183.232.58.222 -j REJECT
iptables -A FORWARD  -d 183.232.58.223 -j REJECT
iptables -A FORWARD  -d 183.232.58.224 -j REJECT
iptables -A FORWARD  -d 183.232.58.225 -j REJECT
iptables -A FORWARD  -d 183.232.58.226 -j REJECT
iptables -A FORWARD  -d 183.3.224.139 -j REJECT
iptables -A FORWARD  -d 183.3.224.141 -j REJECT
iptables -A FORWARD  -d 183.3.224.144 -j REJECT
iptables -A FORWARD  -d 183.3.224.146 -j REJECT
iptables -A FORWARD  -d 183.3.225.20 -j REJECT
iptables -A FORWARD  -d 183.3.233.160 -j REJECT
iptables -A FORWARD  -d 183.3.234.100 -j REJECT
iptables -A FORWARD  -d 183.3.234.102 -j REJECT
iptables -A FORWARD  -d 183.3.234.105 -j REJECT
iptables -A FORWARD  -d 183.3.234.107 -j REJECT
iptables -A FORWARD  -d 183.3.234.140 -j REJECT
iptables -A FORWARD  -d 183.3.235.28 -j REJECT
iptables -A FORWARD  -d 183.36.108.201 -j REJECT
iptables -A FORWARD  -d 183.36.108.26 -j REJECT
iptables -A FORWARD  -d 183.36.108.32 -j REJECT
iptables -A FORWARD  -d 183.57.48.49 -j REJECT
iptables -A FORWARD  -d 183.60.131.172 -j REJECT
iptables -A FORWARD  -d 183.60.131.202 -j REJECT
iptables -A FORWARD  -d 183.60.131.209 -j REJECT
iptables -A FORWARD  -d 183.60.131.210 -j REJECT
iptables -A FORWARD  -d 183.60.155.58 -j REJECT
iptables -A FORWARD  -d 183.61.13.233 -j REJECT
iptables -A FORWARD  -d 183.61.14.234 -j REJECT
iptables -A FORWARD  -d 203.208.41.102 -j REJECT
iptables -A FORWARD  -d 203.208.41.34 -j REJECT
iptables -A FORWARD  -d 203.208.41.41 -j REJECT
iptables -A FORWARD  -d 203.208.41.97 -j REJECT
iptables -A FORWARD  -d 203.208.43.66 -j REJECT
iptables -A FORWARD  -d 219.135.59.172 -j REJECT
iptables -A FORWARD  -d 220.181.107.215 -j REJECT
iptables -A FORWARD  -d 220.181.33.12 -j REJECT
iptables -A FORWARD  -d 220.181.33.7 -j REJECT
iptables -A FORWARD  -d 222.218.81.68 -j REJECT
iptables -A FORWARD  -d 223.166.152.197 -j REJECT
iptables -A FORWARD  -d 27.148.181.240 -j REJECT
iptables -A FORWARD  -d 27.152.185.254 -j REJECT
iptables -A FORWARD  -d 36.155.240.149 -j REJECT
iptables -A FORWARD  -d 42.101.6.156 -j REJECT
iptables -A FORWARD  -d 42.81.184.75 -j REJECT
iptables -A FORWARD  -d 42.81.85.191 -j REJECT
iptables -A FORWARD  -d 43.247.88.80 -j REJECT
iptables -A FORWARD  -d 43.247.88.100 -j REJECT
iptables -A FORWARD  -d 43.247.88.103 -j REJECT
iptables -A FORWARD  -d 43.247.88.110 -j REJECT
iptables -A FORWARD  -d 43.247.88.111 -j REJECT
iptables -A FORWARD  -d 43.247.88.112 -j REJECT
iptables -A FORWARD  -d 43.247.88.114 -j REJECT
iptables -A FORWARD  -d 43.247.88.116 -j REJECT
iptables -A FORWARD  -d 43.247.88.117 -j REJECT
iptables -A FORWARD  -d 43.247.88.122 -j REJECT
iptables -A FORWARD  -d 43.247.88.123 -j REJECT
iptables -A FORWARD  -d 43.247.88.124 -j REJECT
iptables -A FORWARD  -d 43.247.88.125 -j REJECT
iptables -A FORWARD  -d 43.247.88.67 -j REJECT
iptables -A FORWARD  -d 43.247.88.68 -j REJECT
iptables -A FORWARD  -d 43.247.88.73 -j REJECT
iptables -A FORWARD  -d 43.247.88.74 -j REJECT
iptables -A FORWARD  -d 43.247.88.77 -j REJECT
iptables -A FORWARD  -d 43.247.88.79 -j REJECT
iptables -A FORWARD  -d 43.247.88.81 -j REJECT
iptables -A FORWARD  -d 43.247.88.82 -j REJECT
iptables -A FORWARD  -d 43.247.88.83 -j REJECT
iptables -A FORWARD  -d 43.247.88.84 -j REJECT
iptables -A FORWARD  -d 43.247.88.86 -j REJECT
iptables -A FORWARD  -d 43.247.88.88 -j REJECT
iptables -A FORWARD  -d 43.247.88.89 -j REJECT
iptables -A FORWARD  -d 43.247.88.90 -j REJECT
iptables -A FORWARD  -d 43.247.88.91 -j REJECT
iptables -A FORWARD  -d 43.247.88.92 -j REJECT
iptables -A FORWARD  -d 43.247.88.93 -j REJECT
iptables -A FORWARD  -d 43.247.88.94 -j REJECT
iptables -A FORWARD  -d 43.247.88.95 -j REJECT
iptables -A FORWARD  -d 43.247.88.96 -j REJECT
iptables -A FORWARD  -d 43.247.88.99 -j REJECT
iptables -A FORWARD  -d 47.101.155.40 -j REJECT
iptables -A FORWARD  -d 52.80.105.132 -j REJECT
iptables -A FORWARD  -d 52.80.131.57 -j REJECT
iptables -A FORWARD  -d 52.80.85.249 -j REJECT
iptables -A FORWARD  -d 54.223.207.116 -j REJECT
iptables -A FORWARD  -d 54.223.51.10 -j REJECT
iptables -A FORWARD  -d 54.223.88.64 -j REJECT
iptables -A FORWARD  -d 58.251.100.119 -j REJECT
iptables -A FORWARD  -d 58.251.121.252 -j REJECT
iptables -A FORWARD  -d 58.49.137.60 -j REJECT
iptables -A FORWARD  -d 58.49.224.43 -j REJECT
iptables -A FORWARD  -d 59.36.113.30 -j REJECT
iptables -A FORWARD  -d 59.36.113.75 -j REJECT
iptables -A FORWARD  -d 59.36.119.214 -j REJECT
iptables -A FORWARD  -d 59.36.121.166 -j REJECT
iptables -A FORWARD  -d 59.36.89.1 -j REJECT
iptables -A FORWARD  -d 59.36.89.146 -j REJECT
iptables -A FORWARD  -d 60.28.172.67 -j REJECT
iptables -A FORWARD  -d 61.151.165.100 -j REJECT
iptables -A FORWARD  -d 61.151.165.101 -j REJECT
iptables -A FORWARD  -d 61.151.167.30 -j REJECT
iptables -A FORWARD  -d 61.151.167.89 -j REJECT
iptables -A FORWARD  -d 61.151.183.16 -j REJECT
iptables -A FORWARD  -d 99.84.238.129 -j REJECT
iptables -I INPUT -s 61.166.74.0/24 -j DROP
iptables -I INPUT -s 116.249.168.0/24 -j DROP
iptables -I INPUT -s 182.243.117.0/24 -j DROP
iptables -I INPUT -s 106.57.47.0/24 -j DROP
iptables -I INPUT -s 106.57.33.0/24 -j DROP
iptables -I INPUT -s 182.243.105.0/24 -j DROP
iptables -I INPUT -s 183.244.176.0/24 -j DROP
iptables -I INPUT -s 183.225.180.0/24 -j DROP
iptables -I INPUT -s 39.128.188.0/24 -j DROP
iptables -I INPUT -p udp -j ACCEPT
iptables -A FORWARD -p tcp -m string --string "*.qq.com" --algo bm -j DROP
iptables -A FORWARD -p udp -m string --string "*.qq.com" --algo kmp -j DROP
